Package org.eclipse.ecf.core.status

## Class SerializableStatus

- java.lang.Object
- - org.eclipse.ecf.core.status.SerializableStatus

All Implemented Interfaces:
  `Serializable`, `org.eclipse.core.runtime.IStatus`

Direct Known Subclasses:
  `SerializableMultiStatus`

    public class SerializableStatus
    extends Object
    implements org.eclipse.core.runtime.IStatus, Serializable

Since:
  3.2
See Also:
  Serialized Form

### Field Summary

Fields
`static org.eclipse.core.runtime.IStatus` `CANCEL_STATUS`
`static org.eclipse.core.runtime.IStatus` `OK_STATUS`

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

### Constructor Summary

Constructors
`SerializableStatus​(int severity, String pluginId, int code, String message, Throwable exception)`
`SerializableStatus​(int severity, String pluginId, String message)`
`SerializableStatus​(int severity, String pluginId, String message, Throwable exception)`
`SerializableStatus​(org.eclipse.core.runtime.IStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.core.runtime.IStatus[]` `getChildren()`
`int` `getCode()`
`Throwable` `getException()`
`String` `getMessage()`
`String` `getPlugin()`
`int` `getSeverity()`
`boolean` `isMultiStatus()`
`boolean` `isOK()`
`boolean` `matches​(int severityMask)`
`protected void` `setCode​(int code)` Sets the status code.
`protected void` `setException​(Throwable exception)` Sets the exception.
`protected void` `setMessage​(String message)` Sets the message.
`protected void` `setPlugin​(String pluginId)` Sets the plug-in id.
`protected void` `setSeverity​(int severity)` Sets the severity.
`String` `toString()` Returns a string representation of the status, suitable for debugging purposes only.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OK_STATUS

    public static final org.eclipse.core.runtime.IStatus OK_STATUS

#### CANCEL_STATUS

    public static final org.eclipse.core.runtime.IStatus CANCEL_STATUS

### Constructor Detail

#### SerializableStatus

    public SerializableStatus​(org.eclipse.core.runtime.IStatus status)

#### SerializableStatus

    public SerializableStatus​(int severity,
                              String pluginId,
                              int code,
                              String message,
                              Throwable exception)

#### SerializableStatus

    public SerializableStatus​(int severity,
                              String pluginId,
                              String message,
                              Throwable exception)

#### SerializableStatus

    public SerializableStatus​(int severity,
                              String pluginId,
                              String message)

### Method Detail

#### getChildren

    public org.eclipse.core.runtime.IStatus[] getChildren()

Specified by:
  `getChildren` in interface `org.eclipse.core.runtime.IStatus`

#### getCode

    public int getCode()

Specified by:
  `getCode` in interface `org.eclipse.core.runtime.IStatus`

#### getException

    public Throwable getException()

Specified by:
  `getException` in interface `org.eclipse.core.runtime.IStatus`

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in interface `org.eclipse.core.runtime.IStatus`

#### getPlugin

    public String getPlugin()

Specified by:
  `getPlugin` in interface `org.eclipse.core.runtime.IStatus`

#### getSeverity

    public int getSeverity()

Specified by:
  `getSeverity` in interface `org.eclipse.core.runtime.IStatus`

#### isMultiStatus

    public boolean isMultiStatus()

Specified by:
  `isMultiStatus` in interface `org.eclipse.core.runtime.IStatus`

#### isOK

    public boolean isOK()

Specified by:
  `isOK` in interface `org.eclipse.core.runtime.IStatus`

#### matches

    public boolean matches​(int severityMask)

Specified by:
  `matches` in interface `org.eclipse.core.runtime.IStatus`

#### setCode

    protected void setCode​(int code)

Sets the status code.

Parameters:
  `code` - the plug-in-specific status code, or `OK`

#### setException

    protected void setException​(Throwable exception)

Sets the exception.

Parameters:
  `exception` - a low-level exception, or `null` if not applicable

#### setMessage

    protected void setMessage​(String message)

Sets the message. If null is passed, message is set to an empty string.

Parameters:
  `message` - a human-readable message, localized to the current locale

#### setPlugin

    protected void setPlugin​(String pluginId)

Sets the plug-in id.

Parameters:
  `pluginId` - the unique identifier of the relevant plug-in

#### setSeverity

    protected void setSeverity​(int severity)

Sets the severity.

Parameters:
  `severity` - the severity; one of `OK`, `ERROR`, `INFO`, `WARNING`, or `CANCEL`

#### toString

    public String toString()

Returns a string representation of the status, suitable for debugging purposes only.

Overrides:
  `toString` in class `Object`
Returns:
  String